
Redmine - Patch #27963

Remove 'unloadable' from bundled sample plugin

2018-01-10 08:31 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 3.4.5   

Description

Pretty straightforward. After #20513, the statement should be removed from the bundled example plugin too (i.e. r1282 should be

reverted). The following raw patch (against source:/trunk@17169) takes care of this:

Index: extra/sample_plugin/app/controllers/example_controller.rb

===================================================================

--- extra/sample_plugin/app/controllers/example_controller.rb    (revision 17169)

+++ extra/sample_plugin/app/controllers/example_controller.rb    (working copy)

@@ -1,7 +1,5 @@

 # Sample plugin controller

 class ExampleController < ApplicationController

-  unloadable

-

   layout 'base'

   before_action :find_project, :authorize

   menu_item :sample_plugin

Related issues:

Related to Redmine - Defect #20513: Unloadable plugin convention breaks with ... Closed

Associated revisions

Revision 17170 - 2018-01-10 09:33 - Go MAEDA

Remove 'unloadable' from bundled sample plugin (#27963).

Patch by Mischa The Evil.

Revision 17171 - 2018-01-10 09:40 - Go MAEDA

Merged r17170 from trunk to 3.4-stable (#27963).

History

#1 - 2018-01-10 08:59 - Mischa The Evil

- Related to Defect #20513: Unloadable plugin convention breaks with Rails 4.2.3 added

#2 - 2018-01-10 09:36 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Target version set to 3.4.5

Committed to the trunk. Thank you for pointing it out.

#3 - 2018-01-10 09:44 - Go MAEDA

- Status changed from Resolved to Closed

Merged to 3.4-stable.

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

https://www.redmine.org/issues/20513
https://www.redmine.org/projects/redmine/repository/svn/revisions/1282
https://www.redmine.org/projects/redmine/repository/svn/revisions/17169/entry/trunk
http://www.tcpdf.org

